%define	major 2
%define libname	%mklibname prelude %{major}

Summary:	Prelude Hybrid Intrusion Detection System Library
Name:		libprelude
Version:	0.9.10
Release:	%mkrel 1
License:	GPL
Group:		System/Libraries
URL:		http://www.prelude-ids.org/
Source0:	http://www.prelude-ids.org/download/releases/%{name}-%{version}.tar.gz
Source1:	http://www.prelude-ids.org/download/releases/%{name}-%{version}.tar.gz.sig
Patch0:		libprelude-0.9.3-spool_dir.diff
Patch1:		libprelude-0.9.8-antibork.diff
Patch2:		libprelude-0.9.10-onceonly.diff
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRequires:	libgnutls-devel
BuildRequires:	zlib-devel
BuildRequires:	perl-devel
BuildRequires:	python
BuildRequires:	python-devel
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils => 1.0.3
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The Prelude Library is a collection of generic functions providing
communication between the Prelude Hybrid IDS suite components. It
provides a convenient interface for sending alerts to Prelude
Manager with transparent SSL, failover and replication support,
asynchronous events and timer interfaces, an abstracted
configuration API (hooking at the commandline, the configuration
line, or wide configuration, available from the Manager), and a
generic plugin API. It allows you to easily turn your favorite
security program into a Prelude sensor.

%package -n	%{libname}
Summary:	Prelude Hybrid Intrusion Detection System Library
Group:          System/Libraries
Provides:	%{name} = %{version}

%description -n	%{libname}
The Prelude Library is a collection of generic functions providing
communication between the Prelude Hybrid IDS suite components. It
provides a convenient interface for sending alerts to Prelude
Manager with transparent SSL, failover and replication support,
asynchronous events and timer interfaces, an abstracted
configuration API (hooking at the commandline, the configuration
line, or wide configuration, available from the Manager), and a
generic plugin API. It allows you to easily turn your favorite
security program into a Prelude sensor.


%package -n	%{libname}-devel
Summary:	Libraries, includes, etc. to develop Prelude IDS sensors
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	libltdl-devel
Provides:	libprelude-devel = %{version}
Provides:	prelude-devel = %{version}
Conflicts:	%{mklibname prelude 0}-devel

%description -n	%{libname}-devel
Libraries, include files, etc you can use to develop Prelude IDS
sensors using the Prelude Library. The Prelude Library is a
collection of generic functions providing communication between
the Prelude Hybrid IDS suite componentst It provides a convenient
interface for sending alerts to Prelude Manager with transparent
SSL, failover and replication support, asynchronous events and
timer interfaces, an abstracted configuration API (hooking at the
commandline, the configuration line, or wide configuration,
available from the Manager), and a generic plugin API. It allows
you to easily turn your favorite security program into a Prelude
sensor.

%package -n	prelude-tools
Summary:	The interface for %{libname}
Group:          Networking/Other
Requires:	%{libname} = %{version}

%description -n	prelude-tools
Provides a convenient interface for sending alerts to Prelude
Manager.

%package -n	python-prelude
Summary:	Python bindings for prelude
Group:          Development/Python
Requires:	%{libname} = %{version}

%description -n	python-prelude
Provides python bindings for prelude.

%package -n	perl-prelude
Summary:	Perl bindings for prelude
Group:          Development/Perl
Requires:	%{libname} = %{version}

%description -n perl-prelude
Provides perl bindings for prelude.

%prep

%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

# lib64 fix
perl -pi -e "s|/lib/|/%{_lib}/|g" configure*

%build
rm -f configure
libtoolize --copy --force; aclocal-1.7 -I m4 -I libmissing/m4; automake-1.7 --add-missing --copy --foreign; autoconf

%configure2_5x \
    --enable-static \
    --enable-shared \
    --disable-perl \
    --enable-python \
    --without-included-regex \
    --includedir=%{_includedir}/%{name} \
    --with-html-dir=%{_datadir}/doc/%{name}-devel-%{version}

make

pushd bindings/perl
    %{__perl} Makefile.PL INSTALLDIRS=vendor
    # this prevents rpath in the Prelude.so file. please do tell me how to fix it using a patch
    %make LD_RUN_PATH="" LDDLFLAGS="-shared -pthread `libgnutls-config --libs` -lrt -ldl"
popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std
%makeinstall_std -C bindings/perl

%if %mdkversion >= 1020
%multiarch_binaries %{buildroot}%{_bindir}/libprelude-config
%endif

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog README INSTALL
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}-devel-%{version}
%if %mdkversion >= 1020
%{multiarch_bindir}/libprelude-config
%endif
%{_bindir}/libprelude-config
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%dir %{_includedir}/libprelude
%{_includedir}/libprelude/*.h
%{_datadir}/aclocal/*.m4

%files -n prelude-tools
%defattr(-,root,root)
%doc AUTHORS ChangeLog README INSTALL
%dir %{_sysconfdir}/prelude
%dir %{_sysconfdir}/prelude/default
%dir %{_sysconfdir}/prelude/profile
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/prelude/default/*.conf
%{_bindir}/prelude-adduser
%dir /var/spool/prelude

%files -n python-prelude
%defattr(-,root,root)
%{_libdir}/python*/site-packages/*

%files -n perl-prelude
%defattr(-,root,root)
%{perl_vendorlib}/*/auto/Prelude/Prelude.so
%{perl_vendorlib}/*/Prelude.pm

%changelog
* Thu Jul 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.10-1mdv2007.0
- 0.9.10 (Major feature enhancements)
- added P2 (missing m4 macros)

* Tue Jun 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.9-1mdv2007.0
- 0.9.9 (Major bugfixes)

* Sun May 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.8-2mdk
- make it build on 2006

* Sun May 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.8-1mdk
- 0.9.8
- force INSTALLDIRS=vendor (P1)

* Wed Mar 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.1-1mdk
- 0.9.7.1 (Major bugfixes)

* Thu Mar 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-1mdk
- 0.9.7 (Major bugfixes)

* Mon Mar 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.6.1-1mdk
- 0.9.6.1

* Thu Mar 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-1mdk
- 0.9.6 (Major bugfixes)

* Mon Feb 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-1mdk
- 0.9.5 (Minor bugfixes)

* Mon Jan 30 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.4-1mdk
- 0.9.4 (Minor bugfixes)

* Wed Jan 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-4mdk
- fix deps

* Tue Jan 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-3mdk
- use conflicts instead of obsoletes for the devel sub package (fcrozat)

* Tue Jan 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-2mdk
- fix deps

* Tue Jan 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-1mdk
- 0.9.3
- fix spool dir location (P0)
- added the python and perl sub packages
- fix deps

* Sat Jan 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-1mdk
- 0.9.2

* Thu Dec 29 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-1mdk
- 0.9.1

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.10-3mdk
- rebuilt against openssl-0.9.8a

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.10-2mdk
- fix conflicting declaration with MySQL-4.1.x
- fix deps and conditional %%multiarch
- lib64 fixes

* Wed Apr 21 2004 Laurent Culioli <laurent@mandrake.org> 0.8.10-1mdk
- 0.8.10

* Sun Oct 26 2003 Stefan van der Eijk <stefan@eijk.nu> 0.8.5-3mdk
- BuildRequires

* Tue Sep 09 2003 Florin Grad <florin@mandrakesoft.com> 0.8.5-2mdk
- rename the include dir

* Sun Sep 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.5-1mdk
- initial cooker contrib, used parts from the spec file by Sylvain GIL 
